Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.form
Enum OdfListSourceType

    java.lang.Object
      java.lang.Enum<OdfListSourceType>
          org.odftoolkit.odfdom.dom.type.form.OdfListSourceType

All Implemented Interfaces:
  Serializable, Comparable<OdfListSourceType>

    public enum OdfListSourceType

extends Enum<OdfListSourceType>

DOM implementation of OpenDocument attribute form:list-source-type.

Enum Constant Summary
`QUERY`
`SQL`
`SQL_PASS_THROUGH`
`TABLE`
`TABLE_FIELDS`
`VALUE_LIST`

Method Summary
`static OdfListSourceType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfListSourceType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfListSourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfListSourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VALUE_LIST

    public static final OdfListSourceType VALUE_LIST

### TABLE

    public static final OdfListSourceType TABLE

### QUERY

    public static final OdfListSourceType QUERY

### SQL_PASS_THROUGH

    public static final OdfListSourceType SQL_PASS_THROUGH

### SQL

    public static final OdfListSourceType SQL

### TABLE_FIELDS

    public static final OdfListSourceType TABLE_FIELDS

Method Detail

### values

    public static OdfListSourceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfListSourceType c : OdfListSourceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfListSourceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfListSourceType>`
  Returns:
    return the name of OdfListSourceType

### toString

    public static String toString(OdfListSourceType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfListSourceType, see form:list-source-type
  Returns:
    return the name of OdfListSourceType

### enumValueOf

    public static OdfListSourceType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfListSourceType
  Returns:
    return the constant of OdfListSourceType, see form:list-source-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.